using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC;
using APT.MS.Domain.Entities.SC.SC;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：关联应急预案
    /// </summary>
    [Description("关联应急预案")]
    public class T_CM_DRILL_PLAN_STANDARD_CREATE : MesEntityBase
    {
        /// <summary>
        /// 应急演练计划编号
        /// </summary>
        [Description("应急演练计划编号")]
        [DataFieldForeignKey("Nav_Plan", "Nav_ListStandard")]
        public Guid PLAN_ID { get; set; }

        /// <summary>
        /// 导航属性：潜在紧急事件
        /// </summary>
        [Description("导航属性：应急演练计划")]
        public virtual T_CM_DRILL_PLAN_DETAIL Nav_Plan { get; set; }

        /// <summary>
        /// 制度
        /// </summary>
        [Description("制度")]
        [DataFieldForeignKey("Nav_StandardCreate")]
        public Guid? STANDARD_CREATE_ID { get; set; }

        /// <summary>
        /// 制度
        /// </summary>
        [Description("制度")]
        public virtual T_SC_STANDARD_CREATE Nav_StandardCreate { get; set; }
    }
}